use sztk_aud
select * from esem_log

--	Egy ismert id-j beteg jelenleg rvnyes neve s lakcme a log alapjn

select  top 1 case 
	when exists 
		(select * from esem_log e inner join beteg_log b on e.tr_id=b.tr_id
			where beteg_id=1 and esem_tipus_id =3)
	then 'trlt'	--trlskor is fel kell venni egy rekordot a beteg_log tblba
	else beteg_nev
end as nev, 
case when exists 
		(select * from esem_log e inner join beteg_log b on e.tr_id=b.tr_id
			where beteg_id=1 and esem_tipus_id =3)
	then 'trlt'
	else beteg_lakcim
end as cim
from esem_log e inner join beteg_log b on e.tr_id=b.tr_id
where beteg_id=1 and esem_tipus_id in (1,2) order by esem_ido desc

--elvileg ugyanezt adja ez is (ha nincs semmi hiba):
select beteg_nev, beteg_lakcim from beteg where beteg_id=1

-- Egy ismert id-j beteg neve s lakcme egy mltbeli idpontban
-- ez mr nem megy a beteg tbla alapjn

select  top 1 case 
	when exists 
		(select * from esem_log e inner join beteg_log b on e.tr_id=b.tr_id
			where beteg_id=1 and esem_tipus_id =3 and esem_ido<'2015-02-03 12:17:20')
	then 'trlt'	--trlskor is fel kell venni egy rekordot a beteg_log tblba
	else beteg_nev
end as nev, 
case when exists 
		(select * from esem_log e inner join beteg_log b on e.tr_id=b.tr_id
			where beteg_id=1 and esem_tipus_id =3 and esem_ido<'2015-02-03 12:17:20')
	then 'trlt'
	else beteg_lakcim
end as cim
from esem_log e inner join beteg_log b on e.tr_id=b.tr_id
where beteg_id=1 and esem_tipus_id in (1,2) and esem_ido<'2015-02-03 12:17:20'
order by esem_ido desc

-- Egy ismert id-j beteg lakcmnek mdostsa

set xact_abort on
set nocount on
begin tran
declare @betegid int, @uj_cim varchar(100), @tr_id int, @beteg_nev nvarchar(100), @terites_id int, @szul_datum date --stb az sszes mezre
set @betegid=1
set @uj_cim='Balatonfzf, Fz u. 1.'

if exists (select * from esem_log e inner join beteg_log b on e.tr_id=b.tr_id
			where beteg_id=@betegid and esem_tipus_id =3) begin
	print 'HIBA: trlt beteg, nem mdosthat a cme!'
	rollback tran
end else begin
	insert esem_log (user_name, esem_tipus_id) values ('els nvrke', 1)
	set @tr_id=@@IDENTITY
	--elmentjk a mostani adatokat 
	select @beteg_nev=beteg_nev, @szul_datum=szul_datum -- stb az sszes mezre
	from beteg where beteg_id=1
	insert beteg_log (tr_id, beteg_id, taj, beteg_nev, beteg_lakcim, szul_datum, anyja_neve, terites_id, telefon, foglalkozas_id)
	values (@tr_id, @betegid, null, @beteg_nev, @uj_cim, @szul_datum, null, @terites_id, null, null)
	--itt a nullok helyett is a mentett mezk lennnek!
	update beteg set beteg_lakcim=@uj_cim where beteg_id=@betegid
	print 'sikeres ments'
	commit tran
end
--trltk, nem mdosthat
--most rjuk t a beteg_log tblban a 6. tranzakci beteg_id-jt 2-re (nem trlt a beteg) -> sikeres ments
--ellenrzs:
select * from esem_log e inner join beteg_log b on e.tr_id=b.tr_id
			where beteg_id=1
select * from beteg where beteg_id=1

-- Egy ismert id-j beteg egyik allergijnak trlse
...
-- Egy ismert id-j beteghez j megjelens (kezels) felvtele
...

--egy adatbzis audit az sztk tblra:
USE [sztk]
GO
CREATE DATABASE AUDIT SPECIFICATION [DatabaseAuditSpecification-20150204-174903]
FOR SERVER AUDIT [Audit-20150204-174803]
ADD (DELETE ON DATABASE::[sztk] BY [public]),
ADD (INSERT ON DATABASE::[sztk] BY [public]),
ADD (UPDATE ON DATABASE::[sztk] BY [public])
WITH (STATE = ON)
GO

--az audit log olvassa:
SELECT * FROM fn_get_audit_file('C:\temp\*', DEFAULT, default) 
--ezt ltjuk benne egy datagrid update utn (statement mez):
'UPDATE TOP (200) beteg SET beteg_nev = @beteg_nev WHERE (beteg_id = @Param1) AND (taj = @Param2) AND (beteg_nev = @Param3) AND (beteg_lakcim = @Param4) AND (szul_datum = @Param5) AND (anyja_neve = @Param6) AND (terites_id = @Param7) AND (telefon IS NULL) AND (foglalkozas_id = @Param8)'
--nem tudjuk, melyik beteget mdostottk
--norml SQL update utn megvan az egsz utasts:
'update beteg set beteg_nev='Kaposi Joln' where beteg_id=2'
--ebbl is lehet idsort csinlni...csak nehezebb.