USE [sztk_aud]
GO

/****** Object:  Table [dbo].[esem_tipus_torzs]    Script Date: 02/04/2015 12:02:47 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[esem_tipus_torzs](
	[esem_tipus_id] [int] NOT NULL,
	[tipus_nev] [nvarchar](50) NULL,
 CONSTRAINT [PK_esem_tipus_torzs] PRIMARY KEY CLUSTERED 
(
	[esem_tipus_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

USE [sztk_aud]
GO

/****** Object:  Table [dbo].[esem_log]    Script Date: 02/04/2015 12:02:15 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[esem_log](
	[tr_id] [int] IDENTITY(1,1) NOT NULL,
	[esem_ido] [datetime] NOT NULL,
	[user_name] [nvarchar](50) NOT NULL,
	[esem_tipus_id] [int] NOT NULL,
 CONSTRAINT [PK_esem_log] PRIMARY KEY CLUSTERED 
(
	[tr_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[esem_log]  WITH CHECK ADD  CONSTRAINT [FK_esem_log_esem_tipus_torzs] FOREIGN KEY([esem_tipus_id])
REFERENCES [dbo].[esem_tipus_torzs] ([esem_tipus_id])
GO

ALTER TABLE [dbo].[esem_log] CHECK CONSTRAINT [FK_esem_log_esem_tipus_torzs]
GO

ALTER TABLE [dbo].[esem_log] ADD  CONSTRAINT [DF_esem_log_esem_ido]  DEFAULT (getdate()) FOR [esem_ido]
GO

USE [sztk_aud]
GO

/****** Object:  Table [dbo].[beteg_log]    Script Date: 02/04/2015 12:01:56 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[beteg_log](
	[tr_id] [int] NOT NULL,
	[beteg_id] [int] NOT NULL,
	[taj] [nchar](9) NULL,
	[beteg_nev] [nvarchar](max) NULL,
	[beteg_lakcim] [nvarchar](max) NULL,
	[szul_datum] [date] NULL,
	[anyja_neve] [nvarchar](max) NULL,
	[terites_id] [int] NULL,
	[telefon] [nvarchar](50) NULL,
	[foglalkozas_id] [int] NULL,
 CONSTRAINT [PK_beteg_log] PRIMARY KEY CLUSTERED 
(
	[tr_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[beteg_log]  WITH CHECK ADD  CONSTRAINT [FK_beteg_log_esem_log] FOREIGN KEY([tr_id])
REFERENCES [dbo].[esem_log] ([tr_id])
GO

ALTER TABLE [dbo].[beteg_log] CHECK CONSTRAINT [FK_beteg_log_esem_log]
GO


USE [sztk_aud]
GO

/****** Object:  Table [dbo].[beteg_allergia_log]    Script Date: 02/04/2015 12:03:12 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[beteg_allergia_log](
	[tr_id] [int] NOT NULL,
	[beteg_id] [int] NOT NULL,
	[allergia_id] [int] NOT NULL,
	[sorszam] [int] NOT NULL,
 CONSTRAINT [PK_beteg_allergia_log] PRIMARY KEY CLUSTERED 
(
	[tr_id] ASC,
	[allergia_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[beteg_allergia_log]  WITH CHECK ADD  CONSTRAINT [FK_beteg_allergia_log_esem_log] FOREIGN KEY([tr_id])
REFERENCES [dbo].[esem_log] ([tr_id])
GO

ALTER TABLE [dbo].[beteg_allergia_log] CHECK CONSTRAINT [FK_beteg_allergia_log_esem_log]
GO

USE [sztk_aud]
GO

/****** Object:  Table [dbo].[eset_log]    Script Date: 02/04/2015 12:03:26 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[eset_log](
	[tr_id] [int] NOT NULL,
	[beteg_id] [int] NOT NULL,
	[eset_id] [int] NOT NULL,
	[orvos_id] [int] NOT NULL,
	[fo_diagn_id] [int] NULL,
	[beut_diagn_id] [int] NULL,
	[zarojelentes] [nvarchar](max) NULL,
	[anamnezis] [nvarchar](max) NULL,
	[statusz] [nvarchar](max) NULL,
	[gyogysz_utasitas] [nvarchar](max) NULL,
 CONSTRAINT [PK_eset_log] PRIMARY KEY CLUSTERED 
(
	[tr_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[eset_log]  WITH CHECK ADD  CONSTRAINT [FK_eset_log_esem_log] FOREIGN KEY([tr_id])
REFERENCES [dbo].[esem_log] ([tr_id])
GO

ALTER TABLE [dbo].[eset_log] CHECK CONSTRAINT [FK_eset_log_esem_log]
GO

USE [sztk_aud]
GO

/****** Object:  Table [dbo].[megjelenes_log]    Script Date: 02/04/2015 12:03:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[megjelenes_log](
	[tr_id] [int] IDENTITY(1,1) NOT NULL,
	[megjel_id] [int] NOT NULL,
	[eset_id] [int] NOT NULL,
	[kezelo_orvos_id] [int] NULL,
	[megj_datum] [date] NOT NULL,
	[kezeles_leiras] [nvarchar](max) NULL,
	[kez_gyogysz_utasitas] [nvarchar](max) NULL,
 CONSTRAINT [PK_megjelenes_log] PRIMARY KEY CLUSTERED 
(
	[tr_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[megjelenes_log]  WITH CHECK ADD  CONSTRAINT [FK_megjelenes_log_esem_log] FOREIGN KEY([tr_id])
REFERENCES [dbo].[esem_log] ([tr_id])
GO

ALTER TABLE [dbo].[megjelenes_log] CHECK CONSTRAINT [FK_megjelenes_log_esem_log]
GO

